/*$Id: authenticate.h,v 1.3 1996/12/26 16:20:48 srb Exp $*/

/* Generic authentication interface, substitute a suitable module to
   accomodate arbitrary other authentication databases */

typedef struct auth_identity auth_identity;

const auth_identity*auth_finduser(char*user,const int sock);

uid_t auth_whatuid(const auth_identity*pass);
const int auth_checkpassword(const auth_identity*pass,const char*pw,
 const int allowemptypw);

char*auth_getsecret(const auth_identity*pass);

const char*auth_mailboxname(auth_identity*pass);
